/*
 * CommandHandler.h
 *
 *  Created on: Nov 29, 2017
 *      Author: Bmiller
 */

#ifndef _COMMANDHANDLER_H_
#define _COMMANDHANDLER_H_

/************************ EXTERNAL FUNCTIONS ****************************/
/* These are the command execution functions. */
/* Refer to the listed file for a description of each function. */

/*extern void ADread_handler(void);
extern void averaging_handler(void);*/
/*extern void baselining_handler(void);*/
/*extern void binning_handler(void);*/
extern void cal_handler(void);
extern void ycal_handler(void);
extern void cal_state_handler(void);
/*extern void ccd_handler(void);*/
extern void datetime_handler(void);
extern void EEPROM_handler(void);
extern void gauss_handler(void);
extern void has_handler(void);
extern void help_handler(void);
extern void id_handler(void);
/*extern void illuminator_handler(void);*/
extern void imager_handler(void);
extern void int_time_handler(void);
extern void integrate_handler(void);
extern void itemp_handler(void);
/*extern void Key_install_handler(void);*/
extern void laserpwr_handler(void);
extern void LDNo_handler(void);
extern void ldtemp_handler(void);
extern void Level_handler(void);
extern void null_handler(void);
extern void Offset_handler(void);
extern void Param_handler(void);
/*extern void Port_handler(void);*/
extern void Power_handler(void);
extern void Range_handler(void);
extern void Raster_handler(void);
extern void read_handler(void);
/*extern void referencing_handler(void);*/
extern void reset_handler(void);
extern void SerialNo_handler(void);
extern void Shutdown_handler(void);
extern void shutter_handler(void);
extern void software_handler(void);
extern void status_handler(void);
/*extern void Stepper_handler(void);*/
/*extern void TBB_handler(void);*/
extern void verbose_handler(void);

#endif
